package com.ruoyi.dimp.service;

import java.util.List;

import com.ruoyi.dimp.domain.DPopulationDataInfoPreDetail;
import com.ruoyi.dimp.domain.DPopulationDataInfoPreImp;
import com.ruoyi.dimp.domain.DPopulationDataInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 云南人口数据导入Service接口
 *
 * @author ruoyi
 * @date 2023-03-19
 */
public interface IDPopulationDataInfoService extends IService<DPopulationDataInfo> {
    /**
     * 查询云南人口数据导入列表
     *
     * @param dPopulationDataInfo 云南人口数据导入
     * @return 云南人口数据导入集合
     * @date 2023-03-19
     */
    List<DPopulationDataInfo> queryList(DPopulationDataInfo dPopulationDataInfo);
    
    DPopulationDataInfo queryPoupation(String year,String cityCode);
    DPopulationDataInfo queryPoupationByCityName(String year, String CodeName);
    String importData(List<DPopulationDataInfoPreDetail> dataList, DPopulationDataInfoPreImp imp);
    void deleteByYear(String year);
}
